Create external devices (batch)
POST /devices
POST
/devices
Authorizations
Section titled “Authorizations ”Request Body
Section titled “Request Body ”object
devices
required
Array<object>
object
name
required
string
type
required
string
category
required
string
user_id
integer
added_via
How the device was added in Fleet
string
Example
SINGLE_IMPORT brand
string
serial_number
string
is_rented
boolean
client_purchase_price
string
client_purchase_date
string
client_warranty_endDate
string
client_rental_price
string
client_rental_startDate
string
client_rental_endDate
string
client_contract_number
string
client_invoice_number
string
screen_size
string
graphic
string
processor
string
ram
string
storage
string
model_year
string
connectivity
string
keyboard_layout
Keyboard layout key (same enum as cart/order keyboard_layout).
string
Example
FRENCH_AZERTY resolution
string
comment
string
has_microphone
boolean
has_webcam
boolean
noise_cancellation
boolean
compliance
Any of:
Array<string>
string
connection_type
Connection type labels; single string or array (stored as array).
Array<string>
has_stool
boolean
has_video_package
boolean
has_screen
boolean
has_premium_tablet
boolean
color
string
seats_number
string
assembly
string
os_platform
string
Responses
Section titled “ Responses ”Devices created
object
data
required
object
devices
required
Array<object>
object
id
required
integer
name
required
string
serial_number
required
string
rent
required
string
tracking_number
required
string
client_status
required
Device progress key for display and filtering
string
type
required
string
category
required
string
source
required
string
comment
required
Free-form device comment
string
characteristics
required
object
screen_size
required
string
graphic
required
string
processor
required
string
ram
required
string
storage
required
string
model_year
required
string
connectivity
required
string
keyboard_layout
required
Keyboard layout for delivery pricing (maps to Fleet keyboard_layouts.type)
string
Example
FRENCH_AZERTY resolution
required
string
has_microphone
required
boolean
has_webcam
required
boolean
noise_cancellation
required
boolean
compliance
required
Array<string>
connection_type
required
Array<string>
has_stool
required
boolean
has_video_package
required
boolean
has_screen
required
boolean
has_premium_tablet
required
boolean
color
required
string
seats_number
required
string
assembly
required
string
os_platform
required
string
mdm
required
MDM enrollment row when present (non-deleted, non-DRAFT); null otherwise
object
id
required
integer
status
required
Raw MDM enrollment status from devices_mdm. DRAFT rows are omitted by the device relation; other values match DB enum.
string
local_name
required
string
is_locked
required
boolean
lock_date
required
string
firewall_enabled
required
boolean
os_updates_enabled
required
boolean
is_encrypted
required
boolean
screenlock_enabled
required
boolean
is_compromised
required
boolean
os_updates_available
required
boolean
disk_encryption_profile_installed
required
boolean
enrollment_date
required
string
unenrollment_date
required
string
download_date
required
string
last_seen_date
required
string
last_sync_date
required
string
Validation or business rule error
Forbidden
object
error
required
string
Not found
object
error
required
string
Internal error
object
error
required
string